#include <ddraw.h>

#ifndef	_APX_DIRECT_DRAW_
#define	_APX_DIRECT_DRAW_

class apxDirectDraw_t
{
private:
public:
/*
	LPDIRECTDRAW            lpDD;           // DirectDraw object
	LPDIRECTDRAWSURFACE     lpDDSPrimary;   // DirectDraw primary surface
	LPDIRECTDRAWSURFACE     lpDDSBack;      // DirectDraw back surface
*/
	IDirectDraw			*lpDD;           // DirectDraw object
	IDirectDrawSurface	*lpDDSPrimary;   // DirectDraw primary surface
	IDirectDrawSurface	*lpDDSBack;      // DirectDraw back surface

	IDirectDrawPalette	*lpDPAL;

public:
	apxDirectDraw_t();
	~apxDirectDraw_t();

	void
	EndProcedure(void);

	BOOL
	Initialize(HWND hwnd,long t_width,long t_height,long t_depth);

	BOOL
	CreatePalette(LPPALETTEENTRY lpPE);
};

#endif
